Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

Register OAuth client

Exact HTTPS callbacks or literal loopback HTTP callbacks only. OAuth read/act scopes cap access but do not create device grants.

POST/v1/oauth-clients
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Request body
requiredapplication/json
namestringrequired
min length 1 · max length 64
redirectUrisstring<uri>[]required
min items 1 · max items 8
publicboolean
default: true
accessstring
default: "read"
Allowed:readact
Responses
201

Created; client secret, when issued, appears only in this response

dataOAuthRegistrationrequired
Show properties
idstring<uuid>required
principalstringrequired
namestringrequired
expiresAtinteger | nullrequired
revokedbooleanrequired
accessstringrequired
Allowed:readact
purposestringrequired
canAttachboolean
deviceLimitinteger
oauthobjectrequired
Show properties
applicationIdstringrequired
clientIdstringrequired
redirectUrisstring<uri>[]required
publicbooleanrequired
clientSecretstring

Returned only when the provider issued a secret; store securely and never log.

400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://www.openlaunch.dev/v1/oauth-clients' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "redirectUris": [
    "http://example.com"
  ],
  "public": true,
  "access": "read"
}'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "principal": "string",
    "name": "string",
    "expiresAt": 0,
    "revoked": true,
    "access": "read",
    "purpose": "oauth",
    "canAttach": false,
    "deviceLimit": 0,
    "oauth": {
      "applicationId": "string",
      "clientId": "string",
      "redirectUris": [
        "http://example.com"
      ],
      "public": true
    },
    "clientSecret": "string"
  }
}